=== debian/changelog ===
minexpert2 (8.1.1-1) unstable; urgency=low

  * New upstream release improving the setting of the low/high filtering
    configuration for color map data.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 26 Apr 2021 13:24:01 +0200

minexpert2 (8.1.0-1) unstable; urgency=low

  * New upstream version adding signal-to-noise ratio enhancement features for
    the color maps.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 21 Apr 2021 13:06:20 +0200

minexpert2 (8.0.3-1) unstable; urgency=low

  * New version with a reworked icon system based on svg files and not png
    ones.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 15 Apr 2021 16:56:48 +0200

minexpert2 (8.0.2-2) unstable; urgency=low

  * Build that depends on new ABI of pappsomspp libs.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 12 Apr 2021 21:48:05 +0200

minexpert2 (8.0.2-1) unstable; urgency=low

  * New version to build with libpappsomspp 0.8.23 that provides a workaround
    the failing tests on i386.

  * Other small changes.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 31 Mar 2021 15:00:05 +0200

minexpert2 (8.0.1-1) unstable; urgency=low

  * Fixes to the documentation (new figures with much more interesting data
    set to document the skewed selection polygon feature).

  * Provide the new bibliographic reference for citation in the Help dialog
    box.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 24 Mar 2021 11:20:13 +0100

minexpert2 (8.0.0-1) unstable; urgency=low

  * New major release with the skewed selection polygon feature.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 23 Mar 2021 16:49:24 +0100

minexpert2 (7.4.1-2) unstable; urgency=low

  * Update dependencies for libpappsomspp-dev (>= 0.8.18),
    libpappsomspp-widget-dev (>= 0.8.18).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 03 Mar 2021 09:24:56 +0100
