## minexpert2 8.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
   DESCRIPTION "A program to visualize and explore mass spectrometric data"
   HOMEPAGE_URL "http://wwww.msxpertsuite.org/minexpert2")
 
-set(VERSION 8.1.1)
+set(VERSION 8.2.0)
 
 # Set additional project information
 set(COMPANY "msXpertSuite.org")
@@ -21,9 +21,10 @@
 
 include(GNUInstallDirs)
 
-set(HOME_DEVEL_DIR $ENV{HOME}/devel)
-message("\n${BoldRed}The devel directory where all the development projects
-should reside: ${HOME_DEVEL_DIR}.${ColourReset}\n")
+#set(HOME_DEVEL_DIR $ENV{HOME}/devel)
+#message("\n${BoldRed}The devel directory where all the development projects
+#should reside: ${HOME_DEVEL_DIR}.${ColourReset}\n")
+
 
 # Add folder where are supportive functions
 set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
@@ -110,6 +111,26 @@
   endif()
 
 elseif(UNIX AND NOT APPLE)
+  # On UNIX, the libpappsomspp and libpappsomspp-widget libs
+  # need to be installed and they ship the PappsoMSppConfig.cmake
+  # config file.
+
+  # However, when developing both libs and this program, we need to be able to
+  # load the libs from their dev/build directory without relying on the system
+  # libs.
+  if(LOCAL_DEV)
+    # The development should use the locally built libs.
+    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain-local.cmake)
+  else()
+    # The development should use the system-wide libs.
+    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
+
+  endif()
+
+  message(STATUS "Include dir for PappsoMSpp is at: ${PappsoMSpp_INCLUDE_DIRS}")
+  message(STATUS "PappsoMSpp and PappsoMSppWidget were found:
+  \t${PappsoMSpp_LIBRARIES} and ${PappsoMSppWidget_LIBRARIES}")
+
   # Run the following cmake command line:
   # cmake -DCMAKE_BUILD_TYPE=Debug -DBUILD_USER_MANUAL=1 ../../development
 
@@ -243,7 +264,7 @@
 
   if(BUILD_TESTING)
 
-  add_subdirectory(tests)
+    add_subdirectory(tests)
 
   endif(BUILD_TESTING)
 
@@ -292,6 +313,12 @@
 message(STATUS "${BoldYellow}The typical cmake invocation on MXE would be: x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../../development${ColourReset}") 
 message("")
 
+if(LOCAL_DEV)
+  message("")
+  message("${BoldGreen}USING LOCAL DEVELOPMENT CONFIG FOR PAPPSOMSPP")
+  message("")
+endif()
+
 message("")
 message(STATUS "${BoldRed}~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~${ColourReset}")
 message("")
