=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,7 @@
   nongui/BaseMsRunDataSetTreeNodeVisitor.cpp
   nongui/MsRunStatisticsTreeNodeVisitor.cpp
   nongui/TicChromTreeNodeCombinerVisitor.cpp
+  nongui/TicChromatogramFromMassSpecDataFile.cpp
   #nongui/IntensityTreeNodeCombinerVisitor.cpp
   #nongui/RtDtMzColorMapsTreeNodeCombinerVisitor.cpp
   #nongui/RtDtColorMapTreeNodeCombinerVisitor.cpp
@@ -101,7 +102,12 @@
   #	
   # The MS fragmentation specification dialog
   gui/MsFragmentationSpecDlg.cpp
+  #
+  # The M/Z integration parameters dialog
   gui/MzIntegrationParamsDlg.cpp
+  #
+  # The Savitzky-Golay filter params dialog
+  gui/SavitzkyGolayFilterParamsDlg.cpp
   #
   # The data plot graph/widget tree classes
   gui/DataPlottableNode.cpp
@@ -157,6 +163,13 @@
   #
   # Analysis preferences
   gui/AnalysisPreferencesDlg.cpp
+  #
+  # Labelled widget-based QAction classes
+  gui/LabelledDoubleSpinBoxAction.cpp
+  gui/LabelledNumberLineEditAction.cpp
+  #
+  # Plot overlay transparent widget
+  gui/PlotAreaOverlay.cpp
   )
 
 set(${TARGET}_UIS
@@ -171,6 +184,7 @@
   gui/ui/ConsoleWnd.ui
   gui/ui/MsFragmentationSpecDlg.ui
   gui/ui/MzIntegrationParamsDlg.ui
+  gui/ui/SavitzkyGolayFilterParamsDlg.ui
   gui/ui/SaveToGraphicsFileDlg.ui
   gui/ui/IsoSpecDlg.ui
   gui/ui/MassPeakShaperDlg.ui
