=== doc/user-manual/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,12 @@
   # matter.
   CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CMakeStuff/user-manual-version-entity.ent.in
     ${CMAKE_SOURCE_DIR}/doc/user-manual/xml/user-manual-version-entity.ent @ONLY)
+
+  # The location of the main user manual config file (set fop.xconf file
+  # location)
+  set(FOP_XCONF_DIR ${CMAKE_SOURCE_DIR}/doc/user-manual)
+  CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CMakeStuff/DC-user-manual.cmake.in
+    ${CMAKE_SOURCE_DIR}/doc/user-manual/DC-user-manual @ONLY)
 
   # Command:
   # make minexpert-doc
@@ -24,11 +30,11 @@
     COMMENT "DocBook-based user manual documentation for ${CMAKE_PROJECT_NAME}")
 
   install(FILES
-    ${CMAKE_CURRENT_SOURCE_DIR}/build/minexpert2-user-manual/${TARGET}-doc.pdf
+    ${CMAKE_CURRENT_SOURCE_DIR}/build/user-manual/${TARGET}-doc.pdf
     DESTINATION ${DOC_DIR})
 
   install(DIRECTORY 
-    ${CMAKE_CURRENT_SOURCE_DIR}/build/${TARGET}-user-manual/html/${TARGET}-user-manual/
+    ${CMAKE_CURRENT_SOURCE_DIR}/build/user-manual/html/user-manual/
     DESTINATION ${DOC_DIR}/html)
 
   message("")
