=== debian/changelog ===
minexpert2 (8.2.0-1) unstable; urgency=low

  * New upstream version with a new low intensity threshold removal filter.

  * Updated the user manual.

  * Remove the docbook-mathml, libjeuclid-core-java, libjeuclid-fop-java,
    libjs-mathjax, fonts-mathjax, fonts-mathjax-extras, dependencies and add
    docbook-xml. That should fix the problem related to bug #994795.

  * Standards-Version: 4.6.0

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 19 Nov 2021 17:19:11 +0100
