=== debian/control ===
--- 
+++ 
@@ -11,25 +11,20 @@
  libqt5svg5-dev (>= 5.11.3),
  cmake (>= 3.12),
  daps (>= 3.0.0),
- libjeuclid-core-java,
- libjeuclid-fop-java,
- docbook-mathml,
  libjs-jquery,
  libjs-highlight.js,
- libjs-mathjax,
- fonts-mathjax,
- fonts-mathjax-extras,
  texlive-fonts-extra (>= 2020.20210202),
  fonts-ebgaramond-extra,
  gsfonts,
  libqcustomplot-dev(>= 2.0),
  libisospec++-dev (>=2.1.3),
- libpappsomspp-dev (>= 0.8.25),
- libpappsomspp-widget-dev (>= 0.8.25),
+ libpappsomspp-dev (>= 0.8.48),
+ libpappsomspp-widget-dev (>= 0.8.48),
+ docbook-xml,
  docbook-to-man,
  qttools5-dev-tools,
  qtchooser
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://www.msxpertsuite.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/minexpert2
 Vcs-Git: https://salsa.debian.org/debichem-team/minexpert2.git
