## minexpert2 8.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,19 +11,18 @@
   DESCRIPTION "A program to visualize and explore mass spectrometric data"
   HOMEPAGE_URL "http://wwww.msxpertsuite.org/minexpert2")
 
-set(VERSION 8.2.0)
+set(VERSION 8.3.0)
 
 # Set additional project information
 set(COMPANY "msXpertSuite.org")
-set(COPYRIGHT "Copyright (c) 2008-2021 Filippo Rusconi. Licensed under GPLv3+")
+set(COPYRIGHT "Copyright (c) 2008-2022 Filippo Rusconi. Licensed under GPLv3+")
 set(IDENTIFIER "org.msxpertsuite")
 
 
 include(GNUInstallDirs)
 
-#set(HOME_DEVEL_DIR $ENV{HOME}/devel)
-#message("\n${BoldRed}The devel directory where all the development projects
-#should reside: ${HOME_DEVEL_DIR}.${ColourReset}\n")
+set(HOME_DEVEL_DIR $ENV{HOME}/devel)
+message("\n${BoldRed}The devel directory where all the development projects should reside: ${HOME_DEVEL_DIR}.${ColourReset}\n")
 
 
 # Add folder where are supportive functions
@@ -228,7 +227,7 @@
 ######################
 # BUILD OF THE PROGRAM
 
-message(STATUS "Adding subdirectory src for TARGET: ${TARGET}")
+message(STATUS "Adding subdirectory src for project: ${CMAKE_PROJECT_NAME}")
 add_subdirectory(src)
 
 ####################################################
