=== debian/changelog ===
minexpert2 (8.3.0-1) unstable; urgency=low

  * Improve significantly the navigation in the plots (thanks to Kevin
    Hooijschuur for useful discussion in front of my poster at the ASMS
    conference). Fixes https://gitlab.com/msxpertsuite/minexpert2/-/issues/5.

  * Fix crash ocurring when showing back a previously plot window (thanks to
    Kevin Hooijschuur for the bug report). Fixes
    https://gitlab.com/msxpertsuite/minexpert2/-/issues/2.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 17 Jun 2022 11:57:08 +0200

minexpert2 (8.2.1-1) UNRELEASED; urgency=low

  * New version:

  * Better handle the cross-compilation in the MXE environment;
  * Ensure that the user manual is found in the AppImage bundle environment.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 24 Feb 2022 18:57:31 +0100
