## minexpert2 8.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
   DESCRIPTION "A program to visualize and explore mass spectrometric data"
   HOMEPAGE_URL "http://wwww.msxpertsuite.org/minexpert2")
 
-set(VERSION 8.3.0)
+set(VERSION 8.5.0)
 
 # Set additional project information
 set(COMPANY "msXpertSuite.org")
