=== debian/changelog ===
minexpert2 (8.5.0-2) unstable; urgency=low

  * Update dependency over libpappsomspp.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2022 14:15:03 +0200

minexpert2 (8.5.0-1) unstable; urgency=low

  * New upstream release fixes a bug in the handling of the color map plot pan
    when axes are locked.

  * Updated dependency on libpappsomspp version 0.8.54.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Jul 2022 20:09:24 +0200

minexpert2 (8.4.0-1) unstable; urgency=low

  * New upstream version that implements settable m/z resolution for the color
    map calculations when they involve m/z as one dimension (this feature was
    requested by Dr Valery Voinov of eMSion).

  * Update of the user manual to document the above new feature.

  * Depend on more recent version of libpappsomspp.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 29 Jun 2022 20:13:44 +0200
