=== debian/changelog ===
minexpert2 (8.5.1-1) unstable; urgency=low

  * Fix regression with the start of mass integrations.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2022 16:37:12 +0200
