## minexpert2 8.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
   DESCRIPTION "A program to visualize and explore mass spectrometric data"
   HOMEPAGE_URL "http://wwww.msxpertsuite.org/minexpert2")
 
-set(VERSION 8.5.1)
+set(VERSION 8.5.2)
 
 # Set additional project information
 set(COMPANY "msXpertSuite.org")
@@ -110,6 +110,9 @@
   endif()
 
 elseif(UNIX AND NOT APPLE)
+
+  #message("UNIX AND NOT APPLE")
+
   # On UNIX, the libpappsomspp and libpappsomspp-widget libs
   # need to be installed and they ship the PappsoMSppConfig.cmake
   # config file.
@@ -119,6 +122,7 @@
   # libs.
   if(LOCAL_DEV)
     # The development should use the locally built libs.
+    message("Using the local libpappsomspp libraries.")
     include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain-local.cmake)
   else()
     # The development should use the system-wide libs.
@@ -129,11 +133,6 @@
   message(STATUS "Include dir for PappsoMSpp is at: ${PappsoMSpp_INCLUDE_DIRS}")
   message(STATUS "PappsoMSpp and PappsoMSppWidget were found:
   \t${PappsoMSpp_LIBRARIES} and ${PappsoMSppWidget_LIBRARIES}")
-
-  # Run the following cmake command line:
-  # cmake -DCMAKE_BUILD_TYPE=Debug -DBUILD_USER_MANUAL=1 ../../development
-
-  include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
 
 elseif(APPLE)
   # Run the following cmake command line:
