=== doc/user-manual/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 default: all
 
-all: pdf html
+all: pdf_f html_f
 
 all_f: pdf_f html_f
