=== debian/changelog ===
minexpert2 (8.5.2-1) unstable; urgency=low

  * New upstream release fixing "old cruft" bug where an integration from a
    color map (with one m/z dimension) to a color map (having also an m/z
    dimension) would occur as before, with setDecimals(0) and NO_BINNING.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 12 Jul 2022 14:25:26 +0200
