=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  gsfonts,
  libqcustomplot-dev(>= 2.0),
  libisospec++-dev (>=2.1.3),
- libpappsomspp-dev (>= 0.8.54),
- libpappsomspp-widget-dev (>= 0.8.54),
+ libpappsomspp-dev (>= 0.8.55),
+ libpappsomspp-widget-dev (>= 0.8.55),
  docbook-xml,
  docbook-to-man,
  qttools5-dev-tools,
